#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xD7,0x82,0x84,0xA9,0x30,0xFE,0x0D,0xB4,0x3F,0xCC,0x61,0x1B,
		0xC4,0x98,0xD2,0xEC,0xAB,0xF9,0x6E,0x0C,0xD0,0x15,0x65,0x83,
		0xF9,0x89,0x15,0xA0,0x84,0x87,0xC0,0x54,0xE2,0x55,0x90,0x0F,
		0x43,0x87,0xCA,0xCC,0xEC,0xE7,0xAD,0x18,0xC2,0x73,0x75,0x4F,
		0x0D,0xA0,0xBE,0x61,0x9C,0x38,0x34,0xB5,0x3F,0xDA,0x24,0x6E,
		0x5E,0x83,0xBC,0x07,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
